﻿namespace DeltaEngine.Input
{
	/// <summary>
	/// All available Keyboard keys that can be used via the Keyboard class.
	/// </summary>
	public enum Key
	{
		None = 0,
		// ReSharper disable UnusedMember.Global
		Backspace = 8,
		Tab = 9,
		Enter = 13,
		Pause = 19,
		CapsLock,
		Escape = 27,
		Space = 32,
		PageUp,
		PageDown,
		End,
		Home,
		CursorLeft,
		CursorUp,
		CursorRight,
		CursorDown,
		PrintScreen = 44,
		Insert,
		Delete,
		D0 = 48,
		D1,
		D2,
		D3,
		D4,
		D5,
		D6,
		D7,
		D8,
		D9,
		A = 65,
		B = 66,
		C = 67,
		D = 68,
		E = 69,
		F = 70,
		G = 71,
		H = 72,
		I = 73,
		J = 74,
		K = 75,
		L = 76,
		M = 77,
		N = 78,
		O = 79,
		P = 80,
		Q = 81,
		R = 82,
		S = 83,
		T = 84,
		U = 85,
		V = 86,
		W = 87,
		X = 88,
		Y = 89,
		Z = 90,
		LeftWindows,
		RightWindows,
		WindowsKey = 94,
		NumPad0 = 96,
		NumPad1,
		NumPad2,
		NumPad3,
		NumPad4,
		NumPad5,
		NumPad6,
		NumPad7,
		NumPad8,
		NumPad9,
		Multiply,
		Add,
		Separator,
		Subtract,
		Decimal,
		Divide,
		F1,
		F2,
		F3,
		F4,
		F5,
		F6,
		F7,
		F8,
		F9,
		F10,
		F11,
		F12,
		NumLock = 144,
		Scroll,
		Shift = 157,
		Control,
		Alt,
		LeftShift,
		RightShift,
		LeftControl,
		RightControl,
		LeftAlt,
		RightAlt,
		Semicolon = 186,
		Plus,
		Comma,
		Minus,
		Period,
		Question,
		Tilde,
		ChatPadGreen = 202,
		ChatPadOrange,
		OpenBrackets = 219,
		Pipe,
		CloseBrackets,
		Quotes,
		Backslash = 226,
		NumberOfKeys = 227
	}
}